import { XYChartDescription } from "./XYChartDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CategoryChartDescription extends XYChartDescription {
    static $t: Type;
    private kt;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private kx;
    get width(): string;
    set width(a: string);
    private kr;
    get height(): string;
    set height(a: string);
    private kp;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    constructor();
    private kl;
    get transitionInDuration(): number;
    set transitionInDuration(a: number);
    private ku;
    get transitionInEasingFunctionRef(): string;
    set transitionInEasingFunctionRef(a: string);
    private kq;
    get chartType(): string;
    set chartType(a: string);
    private ks;
    get markerCollisionAvoidance(): string;
    set markerCollisionAvoidance(a: string);
    private jx;
    get isTransitionInEnabled(): boolean;
    set isTransitionInEnabled(a: boolean);
    private kv;
    get transitionInMode(): string;
    set transitionInMode(a: string);
    private kw;
    get transitionInSpeedType(): string;
    set transitionInSpeedType(a: string);
    private j6;
    get xAxisInterval(): number;
    set xAxisInterval(a: number);
    private j7;
    get xAxisMinorInterval(): number;
    set xAxisMinorInterval(a: number);
    private j5;
    get xAxisGap(): number;
    set xAxisGap(a: number);
    private j8;
    get xAxisOverlap(): number;
    set xAxisOverlap(a: number);
    private j9;
    get yAxisInterval(): number;
    set yAxisInterval(a: number);
    private jz;
    get yAxisIsLogarithmic(): boolean;
    set yAxisIsLogarithmic(a: boolean);
    private km;
    get yAxisLogarithmBase(): number;
    set yAxisLogarithmBase(a: number);
    private kb;
    get yAxisMinimumValue(): number;
    set yAxisMinimumValue(a: number);
    private ka;
    get yAxisMaximumValue(): number;
    set yAxisMaximumValue(a: number);
    private kc;
    get yAxisMinorInterval(): number;
    set yAxisMinorInterval(a: number);
    private jr;
    get negativeBrushes(): string[];
    set negativeBrushes(a: string[]);
    private js;
    get negativeOutlines(): string[];
    set negativeOutlines(a: string[]);
    private jy;
    get yAxisAbbreviateLargeNumbers(): boolean;
    set yAxisAbbreviateLargeNumbers(a: boolean);
    private jv;
    get isCategoryHighlightingEnabled(): boolean;
    set isCategoryHighlightingEnabled(a: boolean);
    private jw;
    get isItemHighlightingEnabled(): boolean;
    set isItemHighlightingEnabled(a: boolean);
}
